Freeciv-3.1: req_vec_problem Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
req_vec_problem Struct Reference

`#include <requirements.h>`

## Data Fields

char | description [500]
char | description_translated [500]
int | num_suggested_solutions
struct req_vec_change * | suggested_solutions

## Detailed Description

Definition at line 287 of file requirements.h.

## Field Documentation

## ◆ description

char req_vec_problem::description[500]

Definition at line 290 of file requirements.h.

Referenced by req_vec_fix::apply_solution(), req_vec_fix_problem::req_vec_fix_problem(), req_vec_problem_new(), req_vec_problem_new_transl(), rscompat_enabler_add_obligatory_hard_reqs(), sanity_check_req_vec(), and sanity_check_ruleset_data().

## ◆ description_translated

char req_vec_problem::description_translated[500]

Definition at line 291 of file requirements.h.

Referenced by req_vec_fix_problem::req_vec_fix_problem(), req_vec_problem_new(), and req_vec_problem_new_transl().

## ◆ num_suggested_solutions

int req_vec_problem::num_suggested_solutions

Definition at line 293 of file requirements.h.

Referenced by req_vec_fix::apply_solution(), purge_duplicate_req_vec(), purge_unused_req_vec(), req_vec_fix_problem::req_vec_fix_problem(), req_vec_problem_free(), req_vec_problem_new(), req_vec_problem_new_transl(), and rscompat_enabler_add_obligatory_hard_reqs().

## ◆ suggested_solutions

struct req_vec_change* req_vec_problem::suggested_solutions

Definition at line 294 of file requirements.h.

Referenced by ae_suggest_repair_if_no_oblig(), req_vec_fix::apply_solution(), enabler_first_self_contradiction(), enabler_tile_tgt_local_diplrel_implies_claimed(), purge_duplicate_req_vec(), purge_unused_req_vec(), req_vec_fix_problem::req_vec_fix_problem(), req_vec_get_first_contradiction(), req_vec_get_first_missing_univ(), req_vec_get_first_redundant_req(), req_vec_problem_free(), req_vec_problem_new_transl(), and rscompat_enabler_add_obligatory_hard_reqs().